<?xml version='1.0'?>
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" indent="yes" encoding="UTF-8"/>
    
            <xsl:template match="/root">
        

        

        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
                <title>***Audit Report***</title>
                <xsl:call-template name="cssStyles"/>
            </head>
            
            <body style="{$bodyStyle}">
                
                <div class="tableWrapperOuter" style="{$tableWrapperOuter}" id="tableWrapperOuter">
                    
                    <div class="tableWrapperInner" style="{$tableWrapperInner}" id="tableWrapperInner">
                        
                        <h1 style="{$h1Style}">***Audit Report*** ***for*** <xsl:value-of select="@businessName"/></h1>
                        <h2 style="{$h2Style}">***Period from*** <xsl:value-of select="@fromDate"/> ***to*** <xsl:value-of select="@toDate"/>
                        </h2>
                        <div style="{$h3Style}">***Prepared on***
                            <xsl:for-each select="@runTime"><xsl:call-template name="formatDateTime"/></xsl:for-each>
                        </div>
                        <xsl:call-template name="messages"/>
                        
                        <div>
                            <table id="mainTable" class="paddedTable" title="Audit Report" style="{$tableStyle}">
                                <colgroup>
                                    <col style="{$DrCrL}"/>
                                    <col />
                                    <col />
                                    <col />
                                    <col style="{$DrCrL}"/>
                                    <col style="{$DrCrR}"/>
                                    <col style="{$DrCrR}"/>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th class="headingsLine" style="{$headingsLineStyle} {$roundedTopLeft} {$left}">Date</th>
                                        <th class="headingsLine" style="{$headingsLineStyle} {$left}">Description</th>
                                        <th class="headingsLine" style="{$headingsLineStyle} {$left}">Detail</th>
                                        <th class="headingsLine" style="{$headingsLineStyle} {$left}">Account</th>
                                        <th class="headingsLine" style="{$headingsLineStyle} {$right}">Dr</th>
                                        <th class="headingsLine" style="{$headingsLineStyle} {$right}">Cr</th>
                                        <th class="headingsLine" style="{$headingsLineStyle} {$roundedTopRight} {$right}">ID</th>
                                    </tr>
                                    
                                    <xsl:variable name="accounts" select="row"/>
                                    <xsl:variable name="rows" select="row[transaction or not(@total=0)][@isContainer='0']"/>
                                    
                                    <xsl:for-each select="$rows">
                                        <xsl:variable name="uidAccount" select="@uidAccount"/>
                                        <xsl:variable name="addVatToBalance" select="@addVatToBalance"/>
                                        <xsl:variable name="totalBF" select="@total"/>
                                        <xsl:variable name="totalCF" select="@totalCF"/>
                                        
                                        <tr class="accountRow" uidAccount="{@uidAccount}">
                                            <td colspan="4">
                                                <h1 style="{$h2Style}"><xsl:value-of select="@accountName"/></h1>
                                            </td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td colspan="4">
                                                <h3 style="{$h3Style}">(<xsl:value-of select="@catDesc"/> / <xsl:value-of select="@subCatDesc"/>)</h3>
                                            </td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td colspan="4">***B/F***</td>
                                            <td style="{$money}" >
                                                <xsl:if test="$totalBF &gt;= 0">
                                                    <xsl:call-template name="formatCurrency">
                                                        <xsl:with-param name="pence" select="$totalBF"/>
                                                    </xsl:call-template>
                                                </xsl:if>
                                            </td>
                                            <td style="{$money}" >
                                                <xsl:if test="$totalBF &lt; 0">
                                                    <xsl:call-template name="formatCurrency">
                                                        <xsl:with-param name="pence" select="-1 * $totalBF"/>
                                                    </xsl:call-template>
                                                </xsl:if>
                                            </td>
                                            <td></td>
                                        </tr>
                                        
                                        <xsl:for-each select="transaction">
                                            <xsl:variable name="uidAccountVat" select="@uidAccountVat"/>
                                            <xsl:variable name="amount">
                                                <xsl:choose>
                                                    <xsl:when test="$uidAccount = $uidAccountVat">
                                                        <xsl:value-of select="@vatAmount"/>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:value-of select="@amount"/>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </xsl:variable>
                                            
                                            <tr class="transactionRow" uidJournal="{@uidJournal}">
                                                <td style="white-space:nowrap;">
                                                    <xsl:value-of select="@_postingDate"/>
                                                </td>
                                                <td><xsl:value-of select="@whatForText"/></td>
                                                <td><xsl:value-of select="@detail"/></td>
                                                <td><xsl:value-of select="@account2Name"/></td>
                                                <td style="{$money}" >
                                                    <xsl:if test="$amount &gt;= 0">
                                                        <xsl:call-template name="formatCurrency">
                                                            <xsl:with-param name="pence" select="$amount"/>
                                                        </xsl:call-template>
                                                    </xsl:if>
                                                </td>
                                                <td style="{$money}" >
                                                    <xsl:if test="$amount &lt; 0">
                                                        <xsl:call-template name="formatCurrency">
                                                            <xsl:with-param name="pence" select="-1 * $amount"/>
                                                        </xsl:call-template>
                                                    </xsl:if>
                                                </td>
                                                <td><xsl:value-of select="@uidJournal"/></td>
                                            </tr>
                                            
                                            <xsl:if test="$addVatToBalance = '1' and not(@vatAmount = '0')">
                                                <tr class="transactionRow" uidJournal="{@uidJournal}">
                                                    <td colspan="3"></td>
                                                    <td><xsl:value-of select="@account3Name"/></td>
                                                    <td style="padding:5px 10px;{$right}" >
                                                        <xsl:if test="@vatAmount &gt;= 0">
                                                            <xsl:call-template name="formatCurrency">
                                                                <xsl:with-param name="pence" select="@vatAmount"/>
                                                            </xsl:call-template>
                                                        </xsl:if>
                                                    </td>
                                                    <td style="padding:5px 10px;{$right}" >
                                                        <xsl:if test="@vatAmount &lt; 0">
                                                            <xsl:call-template name="formatCurrency">
                                                                <xsl:with-param name="pence" select="-1 * @vatAmount"/>
                                                            </xsl:call-template>
                                                        </xsl:if>
                                                    </td>
                                                    <td><xsl:value-of select="@uidJournal"/></td>
                                                </tr>
                                            </xsl:if>
                                        </xsl:for-each>
                                        
                                        <tr>
                                            <td colspan="4">***C/F***</td>
                                            <td style="{$money} {$bold}" >
                                                <xsl:if test="$totalCF &gt;= 0">
                                                    <xsl:call-template name="formatCurrency">
                                                        <xsl:with-param name="pence" select="$totalCF"/>
                                                    </xsl:call-template>
                                                </xsl:if>
                                            </td>
                                            <td style="{$money} {$bold}" >
                                                <xsl:if test="$totalCF &lt; 0">
                                                    <xsl:call-template name="formatCurrency">
                                                        <xsl:with-param name="pence" select="-1 * $totalCF"/>
                                                    </xsl:call-template>
                                                </xsl:if>
                                            </td>
                                            <td></td>
                                        </tr>
                                        
                                        <tr>
                                            <td colspan="4" style="{$bottomBorder}">&#160;</td>
                                            <td style="{$bottomBorder}"></td>
                                            <td style="{$bottomBorder}"></td>
                                            <td style="{$bottomBorder}"></td>
                                        </tr>
                                        
                                    </xsl:for-each>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </body>
        </html>
    </xsl:template>
    
    <xsl:include href="cssStyles.xslt"/>
    
</xsl:stylesheet>