<?xml version='1.0'?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" indent="yes" encoding="UTF-8"/>
    
            <xsl:template match="/root">
        

        

        <xsl:variable name="report" select="@report"/>
        <xsl:variable name="reportName">***Stock Report***</xsl:variable>
        <xsl:variable name="showDescription" select="@showDescription"/>
        
        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
                <title><xsl:value-of select="$reportName"/></title>
                <xsl:call-template name="cssStyles"/>
            </head>
            
            <body style="{$bodyStyle}">
                
                <div class="tableWrapperOuter" style="{$tableWrapperOuter}" id="tableWrapperOuter">
                    
                    <div class="tableWrapperInner" style="{$tableWrapperInner}" id="tableWrapperInner">
                        
                        <h1 style="{$h1Style}"><xsl:value-of select="$reportName"/> ***for*** <xsl:value-of select="@businessName"/></h1>
                        <h2 style="{$h2Style}">***From***
                            <xsl:value-of select="@fromDate"/>
                            ***to***
                            <xsl:value-of select="@toDate"/>
                        </h2>
                        <xsl:call-template name="messages"/>
                        
                        <table id="mainTable" title="{$reportName}" style="{$tableStyle}">
                            <tbody>
                                <tr >
                                    <th colspan="2" class="headingsTop" style="{$headingsTopStyle} {$roundedTopLeft}"></th>
                                    <th colspan="4" class="headingsTop" style="{$headingsTopStyle} {$headingUnderline} {$center}">
                                        ***Quantity***
                                    </th>
                                    <th class="headingsTop" width="25mm" style="{$headingsTopStyle}"></th>
                                    <th colspan="4" class="headingsTop" style="{$headingsTopStyle} {$headingUnderline} {$center}">
                                        ***Valuation***
                                    </th>
                                    <th class="headingsTop" width="25mm" style="{$headingsTopStyle} {$roundedTopRight}"></th>
                                </tr>
                                
                                <tr >
                                    <th colspan="2" class="headingsBottom" style="{$headingsBottomStyle}">
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle} {$right}">
                                        ***b/f***
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle} {$right}">
                                        +
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle} {$right}">
                                        -
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle} {$right}">
                                        ***c/f***
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle}"></th>
                                    
                                    <th class="headingsBottom" style="{$headingsBottomStyle} {$right}">
                                        ***b/f***
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle} {$right}">
                                        +
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle} {$right}">
                                        -
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle} {$right}">
                                        ***c/f***
                                    </th>
                                    <th class="headingsBottom" style="{$headingsBottomStyle}"></th>
                                    
                                </tr>
                                
                                <xsl:for-each select="//stock/account">
                                    <tr>
                                        <td style="{$firstColumnStyle} {$DrCrL} {$catName}" colspan="2"><xsl:value-of select="@accountName"/></td>
                                        <td style="{$money} {$DrCrL}" colspan="5"></td>
                                        <td style="{$money} {$DrCrL} {$DrCrR}" colspan="5"></td>
                                    </tr>
                                    
                                    <xsl:variable name="row" select="products"/>
                                    
                                    <xsl:for-each select="$row">
                                        <xsl:variable name="closingQty" select="@openingQty - @costQty + @buyQty"/>
                                        <xsl:variable name="closingValuation" select="@openingValuation - @costAmount + @buyAmount"/>
                                        
                                        <tr>
                                            <td style="{$firstColumnStyle} {$DrCrL} {$accountIndent1}">
                                                <xsl:value-of select="@productName"/>
                                            </td>
                                            <td style="{$descColumnStyle}">
                                                <xsl:if test="$showDescription = '1'">
                                                    <xsl:value-of select="@productDesc"/>
                                                </xsl:if>
                                            </td>
                                            <td style="{$money} {$DrCrL}">
                                                <xsl:call-template name="formatNumber">
                                                    <xsl:with-param name="number" select="@openingQty"/>
                                                    <xsl:with-param name="divisor" select="1000"/>
                                                    <xsl:with-param name="notrail" select="1"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatNumber">
                                                    <xsl:with-param name="number" select="@buyQty"/>
                                                    <xsl:with-param name="divisor" select="1000"/>
                                                    <xsl:with-param name="notrail" select="1"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatNumber">
                                                    <xsl:with-param name="number" select="@costQty"/>
                                                    <xsl:with-param name="divisor" select="1000"/>
                                                    <xsl:with-param name="notrail" select="1"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatNumber">
                                                    <xsl:with-param name="number" select="$closingQty"/>
                                                    <xsl:with-param name="divisor" select="1000"/>
                                                    <xsl:with-param name="notrail" select="1"/>
                                                </xsl:call-template>
                                            </td>
                                            <td></td>

                                            <td style="{$money} {$DrCrL}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="@openingValuation"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="@buyAmount"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="@costAmount"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$closingValuation"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$DrCrR}"></td>

                                        </tr>
                                    </xsl:for-each>
                                    
                                    <!-- Sub Totals -->
                                    <xsl:call-template name="totals">
                                        <xsl:with-param name="title">***Sub Totals***</xsl:with-param>
                                        <xsl:with-param name="rows" select="products"/>
                                    </xsl:call-template>

                                    <tr>
                                        <td style="{$firstColumnStyle} {$DrCrL} {$catName}" colspan="2"></td>
                                        <td style="{$DrCrL}" colspan="5"></td>
                                        <td style="{$DrCrL} {$DrCrR}" colspan="5"></td>
                                    </tr>
                                    
                                </xsl:for-each>

                                <!-- Totals -->
                                <xsl:call-template name="totals">
                                    <xsl:with-param name="title">***Totals***</xsl:with-param>
                                    <xsl:with-param name="indent">0</xsl:with-param>
                                    <xsl:with-param name="rows" select="//products"/>
                                </xsl:call-template>

                                <tr>
                                    <td colspan="2" style="{$firstColumnStyle} {$DrCrL} {$bottomBorder} {$roundedBottomLeft}"></td>
                                    <td colspan="5" style="{$bottomBorder} {$DrCrL}"></td>
                                    <td colspan="4" style="{$bottomBorder} {$DrCrL}"></td>
                                    <td style="{$DrCrR} {$bottomBorder} {$roundedBottomRight}"></td>
                                </tr>
                            </tbody>
                        </table>
                        
                        <br />
                        <br />
                        
                        <hr />
                        
                        <h1 style="{$h1Style}">***Notes***</h1>
                        
                        <p>***StockReportNotes***
                        </p>
                        
                        <br />
                        <div style="{$h3Style}">***Prepared on***
                            <xsl:for-each select="@runTime"><xsl:call-template name="formatDateTime"/></xsl:for-each>
                        </div>
                        
                    </div>
                </div>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template name="totals">
        <xsl:param name="title">***Totals***</xsl:param>
        <xsl:param name="rows"/>
        <xsl:param name="indent">1</xsl:param>

        <xsl:variable name="openingQty" select="sum($rows/@openingQty)"/>
        <xsl:variable name="buyQty" select="sum($rows/@buyQty)"/>
        <xsl:variable name="costQty" select="sum($rows/@costQty)"/>
        <xsl:variable name="closingQty" select="$openingQty - $costQty + $buyQty"/>
        
        <xsl:variable name="openingValuation" select="sum($rows/@openingValuation)"/>
        <xsl:variable name="buyAmount" select="sum($rows/@buyAmount)"/>
        <xsl:variable name="costAmount" select="sum($rows/@costAmount)"/>
        <xsl:variable name="closingValuation" select="$openingValuation - $costAmount + $buyAmount"/>
        
        <tr style="font-weight:bold;">
            <xsl:if test="$indent=0">
                <th colspan="2" style="{$firstColumnStyle} {$DrCrL} {$accountIndent0}"><xsl:value-of select="$title"/></th>
            </xsl:if>
            <xsl:if test="$indent=1">
                <th colspan="2" style="{$firstColumnStyle} {$DrCrL} {$accountIndent1}"><xsl:value-of select="$title"/></th>
            </xsl:if>
            <xsl:if test="$indent=2">
                <th colspan="2" style="{$firstColumnStyle} {$DrCrL} {$accountIndent2}"><xsl:value-of select="$title"/></th>
            </xsl:if>

            <td style="{$money} {$DrCrL}">
                <xsl:call-template name="formatNumber">
                    <xsl:with-param name="number" select="$openingQty"/>
                    <xsl:with-param name="divisor" select="1000"/>
                    <xsl:with-param name="notrail" select="1"/>
                </xsl:call-template>
            </td>
            <td style="{$money}">
                <xsl:call-template name="formatNumber">
                    <xsl:with-param name="number" select="$buyQty"/>
                    <xsl:with-param name="divisor" select="1000"/>
                    <xsl:with-param name="notrail" select="1"/>
                </xsl:call-template>
            </td>
            <td style="{$money}">
                <xsl:call-template name="formatNumber">
                    <xsl:with-param name="number" select="$costQty"/>
                    <xsl:with-param name="divisor" select="1000"/>
                    <xsl:with-param name="notrail" select="1"/>
                </xsl:call-template>
            </td>
            <td style="{$money}">
                <xsl:call-template name="formatNumber">
                    <xsl:with-param name="number" select="$closingQty"/>
                    <xsl:with-param name="divisor" select="1000"/>
                    <xsl:with-param name="notrail" select="1"/>
                </xsl:call-template>
            </td>
            <td style="{$money}"></td>
            
            <td style="{$DrCrL} {$money}">
                <xsl:call-template name="formatCurrency">
                    <xsl:with-param name="pence" select="$openingValuation"/>
                </xsl:call-template>
            </td>
            <td style="{$money}">
                <xsl:call-template name="formatCurrency">
                    <xsl:with-param name="pence" select="$buyAmount"/>
                </xsl:call-template>
            </td>
            <td style="{$money}">
                <xsl:call-template name="formatCurrency">
                    <xsl:with-param name="pence" select="$costAmount"/>
                </xsl:call-template>
            </td>
            <td style="{$money}">
                <xsl:call-template name="formatCurrency">
                    <xsl:with-param name="pence" select="$closingValuation"/>
                </xsl:call-template>
            </td>
            <td style="{$money} {$DrCrR}"></td>
        </tr>
    </xsl:template>

    <xsl:include href="cssStyles.xslt"/>
    
</xsl:transform>